i.in.spotvgt(1)

NAME
i.in.spotvgt - Imports SPOT VGT NDVI data into a raster map.

KEYWORDS
imagery, import, NDVI, SPOT

SYNOPSIS
i.in.spotvgt
i.in.spotvgt --help
i.in.spotvgt [-a] input=name [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-a
    Also import quality map (SM status map layer) and filter NDVI map

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input SPOT VGT NDVI HDF file

output=name
    Name for output raster map

DESCRIPTION
i.in.spotvgt imports SPOT Vegetation (1km, global) NDVI data sets. After import the digital numbers (DN) are remapped to VEGETATION NDVI values and the NDVI color table is applied. The imported DN map is removed after remapping.

Apparently missing raster cells due to bad pixel quality are reconstructed by the SPOT operating team in the NDVI file. The differences between the filtered (-a flag) and raw NDVI map should be compared.

NOTES
The SPOT VGT files are delivered in HDF4 (Hierarchical Data Format Release 4) format. It is required to have the GDAL libraries installed with HDF4 support.

  Export of entire world SPOT VGT maps
When working with SPOT VGT with entire world extent, it is recommended to zoom to w=180W and e=180E instead of using the map extent for map export. These entire world SPOT VGT data are exceeding -180.0 degree which can lead to unhelpful large East-West coordinates in the exported file. It is also recommended to then use an export command which respects the user settings. Example:

# import:
i.in.spotvgt 0001_NDV.HDF
# export:
g.region w=180W e=180E n=75:00:16.071429N s=56:00:16.069919S res=0:00:32.142857 -p
r.out.gdal 0001_NDV format=GTiff out=spotndvi.tif

SEE ALSO
r.in.gdal, r.out.gdal

REFERENCES
SPOT Vegetation (1km, global) NDVI data set server
SPOT Vegetation FAQ
1.13 How must I read the 8 bits of the status map? - Quality map

AUTHOR
Markus Neteler

Last changed: $Date$

SOURCE CODE

Available at: i.in.spotvgt source code (history)

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual